Subject: Re: bug#70984: 30.0.50; Improved support for entering quotation marks, Re: bug#70984: 30.0.50; Improved support for entering quotation marks

From: Robert Pluim <[email-masked]>
Date: Fri, 17 May 2024 09:45:14 +0200

>>>>> On Thu, 16 May 2024 18:55:10 +0300, Eli Zaretskii <[email-masked]> said:

    >> +*** "latin-prefix" and "latin-postfix" quotation marks additions.
    >> +These input methods can now produce single, double and "low" left and
    >> +right quotation marks:
    >> +"‘", "’", "“", "”", "„", and "‚"

    Eli> Why is the last line broken in the middle?

Because I messed up the formatting.

    >> +*** "latin-prefix" and "latin-postfix" guillemets support.
    >> +These input methods can now produce single guillemets.  For
    >> +"latin-prefix" use "~~<" and "~~>", for "latin-postfix" use "<~" and
    >> +">~".  Double guillemets were already supported.

    Eli> Suggest to show the guillemets themselves: not sure everyone knows
    Eli> what they are.

Those who need to use them know what they are 😀, but Iʼll add them in
anyway.

    Eli> Are any of these worthy of being mentioned in the user manual (the
    Eli> "Inserting Text" node)?

I donʼt think so. I do plan to mention them in the manual when I
extend `electric-quote-chars'.

>>>>> On Thu, 16 May 2024 18:05:33 +0200, Stephen Berman <[email-masked]> said:

    Stephen> I spotted a couple of typos and stylistic infelicities (IMO):

Thanks, all fixed.

Iʼm assuming this means youʼre both ok with the key sequences I chose.

Robert
--